RENICE(1)

NAME
renice - alter priority of running processes

SYNOPSIS

renice [-n] priority [-g|-p|-u] identifier...

DESCRIPTION

renice alters the scheduling priority of one or more running processes. The first argument is the priority value to be used. The other arguments are interpreted as process IDs (by default), process group IDs, user IDs, or user names. renice'ing a process group causes all processes in the process group to have their scheduling priority altered. renice'ing a user causes all processes owned by the user to have their scheduling priority altered.

OPTIONS

-n, --priority priority
    Specify the scheduling priority to be used for the process, process group, or user. Use of the option -n or --priority is optional, but when used it must be the first argument.

-g, --pgrp
    Interpret the succeeding arguments as process group IDs.

-p, --pid
    Interpret the succeeding arguments as process IDs (the default).

-u, --user
    Interpret the succeeding arguments as usernames or UIDs.

-h, --help
    Display help text and exit.

-V, --version
    Print version and exit.

FILES

/etc/passwd
    to map user names to user IDs

NOTES

Users other than the superuser may only alter the priority of processes they own. Furthermore, an unprivileged user can only increase the "nice value" (i.e., choose a lower priority) and such changes are irreversible unless (since Linux 2.6.12) the user has a suitable "nice" resource limit (see ulimit(1p) and getrlimit(2)).

The superuser may alter the priority of any process and set the priority to any value in the range -20 to 19. Useful priorities are: 19 (the affected processes will run only when nothing else in the system wants to), 0 (the "base" scheduling priority), anything negative (to make things go very fast).

HISTORY

The renice command appeared in 4.0BSD.

EXAMPLES

The following command would change the priority of the processes with PIDs 987 and 32, plus all processes owned by the users daemon and root:

renice +1 987 -u daemon root -p 32

SEE ALSO

nice(1), chrt(1), getpriority(2), setpriority(2), credentials(7), sched(7)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The renice command is part of the util-linux package which can be downloaded from